> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Many Invoice Documents

> Query a list of invoice documents



## OpenAPI

````yaml /api-reference/openapi.json get /api/rest/invoices/{invoiceId}/documents
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/invoices/{invoiceId}/documents:
    get:
      tags:
        - Invoice Documents
      summary: Get Many Invoice Documents
      description: Query a list of invoice documents
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - description: >-
            _"invoiceId" is required (enter it either in parameters or request
            body)_
          in: path
          name: invoiceId
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  invoiceDocumentsByInvoiceId:
                    items:
                      nullable: false
                      properties:
                        createdAt:
                          $ref: '#/components/schemas/DateTime'
                        documentId:
                          nullable: true
                          title: String
                          type: string
                        filename:
                          nullable: false
                          title: String
                          type: string
                        id:
                          nullable: false
                          title: String
                          type: string
                        invoiceId:
                          nullable: false
                          title: String
                          type: string
                        sourceSystem:
                          nullable: true
                          title: String
                          type: string
                        sourceSystemId:
                          nullable: true
                          title: String
                          type: string
                        type:
                          nullable: false
                          title: String
                          type: string
                        updatedAt:
                          $ref: '#/components/schemas/DateTime'
                        url:
                          nullable: false
                          title: String
                          type: string
                      title: InvoiceDocument
                      type: object
                    nullable: false
                    type: array
          description: Responses for GET /api/rest/invoices/{invoiceId}/documents
components:
  schemas:
    DateTime:
      description: >-
        The javascript `Date` as string. Type represents date and time as the
        ISO Date string.
      nullable: false
      title: DateTime

````